BUS_GET_RESOURCE(9)

NAME
bus_get_resource - read a resource range/value with a given resource ID

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
#include <sys/rman.h>
int
bus_get_resource(device_t dev, int type, int rid, u_long *startp, u_long *countp);

DESCRIPTION
The bus_get_resource() function reads the range or value of the resource type, rid pair and stores it in the startp and countp arguments.

The arguments are as follows:

dev The device to read the resource from.

type
    The type of resource you want to read. It is one of:

    SYS_RES_IRQ
        for IRQs
    SYS_RES_DRQ
        for ISA DMA lines
    SYS_RES_MEMORY
        for I/O memory
    SYS_RES_IOPORT
        for I/O ports

rid A bus-specific handle that identifies the resource being read.

startp
    A pointer to the start address of this resource.

countp
    A pointer to the length of the resource. For example, the size of the memory in bytes.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
bus_set_resource(9), device(9), driver(9)

AUTHORS
This manual page was written by Sascha Wildner.